<?xml version="1.0" encoding="UTF-8"?>
<ParamUnitDesc version="1.1">
	<CategoryTypeList>
		<CategoryType name="Scene" feature_option="VIR_SCENE_CUSTOMIZATION_SUPPORT">
			<Category name="Default"/>
			<Category name="App1"/>
			<Category name="App2"/>
			<Category name="MMI1" wording="MMI_MAINMIC" visible="true"/>
			<Category name="MMI2" wording="MMI_SUBMIC" visible="true"/>
		</CategoryType>
		<CategoryType name="Volume type">
			<Category name="Ring"/>
			<Category name="Music" alias="System,Ring,Alarm,Notification,Bluetooth_sco,Enforced_Audible,DTMF,TTS,Boot,VIBSPK,Accessibility,Assistant"/>
		</CategoryType>
		<CategoryType name="Profile">
			<Category name="Headset" alias="3-pole headset,4-pole headset,5-pole headset,HS5POLE,5-pole headset+ANC"/>
			<Category name="Speaker" alias="Hands-free 1mic NR,Hands-free no 1mic NR,Headset+Speaker"/>
		</CategoryType>
	</CategoryTypeList>
	<ParamUnit>
		<Param name="ui_visible" type="int"/>
		<Param name="bes_loudness_L_hpf_fc" type="uint_array"/>
		<Param name="bes_loudness_L_hpf_order" type="uint_array">
			<Field name="High Pass Filter Order"                             array_index="0" bit="0,31" check_list="0,No High Pass Filter,2,2nd-Order IIR Filter,4,4th-Order IIR Filter"/>
		</Param>
		<Param name="bes_loudness_L_lpf_fc" type="uint_array"/>
		<Param name="bes_loudness_L_lpf_order" type="uint_array">
			<Field name="Low Pass Filter Order"                              array_index="0" bit="0,31" check_list="0,No Low Pass Filter,1,1st-Order IIR Filter,2,2nd-Order IIR Filter"/>
		</Param>
		<Param name="bes_loudness_L_bpf_fc" type="uint_array"/>
		<Param name="bes_loudness_L_bpf_bw" type="uint_array"/>
		<Param name="bes_loudness_L_bpf_gain" type="int_array"/>
		<Param name="bes_loudness_R_hpf_fc" type="uint_array"/>
		<Param name="bes_loudness_R_hpf_order" type="uint_array">
			<Field name="2nd Loudspeaker High Pass Filter Order"             array_index="0" bit="0,31" check_list="0,No High Pass Filter,2,2nd-Order IIR Filter,4,4th-Order IIR Filter"/>
		</Param>
		<Param name="bes_loudness_R_lpf_fc" type="uint_array"/>
		<Param name="bes_loudness_R_lpf_order" type="uint_array">
			<Field name="2nd Loudspeaker Low Pass Filter Order"              array_index="0" bit="0,31" check_list="0,No Low Pass Filter,1,1st-Order IIR Filter,2,2nd-Order IIR Filter"/>
		</Param>
		<Param name="bes_loudness_R_bpf_fc" type="uint_array"/>
		<Param name="bes_loudness_R_bpf_bw" type="uint_array"/>
		<Param name="bes_loudness_R_bpf_gain" type="int_array"/>
		
		<Param name="bes_loudness_Sep_LR_Filter" type="uint_array">
			<Field name="Apply Different Filter Setting for 2nd Loudspeaker" array_index="0" bit="0,31" check_list="0,False (Disable 2nd-ACF for Mono Loudspeaker),1,True (Enable 2nd-ACF for Stereo Loudspeaker)"/>
		</Param>
		<Param name="bes_loudness_WS_Gain_Max" type="uint_array"/>
		<Param name="bes_loudness_WS_Gain_Min" type="uint_array"/>
		<Param name="bes_loudness_Filter_First" type="uint_array"/>
		<Param name="bes_loudness_Num_Bands" type="uint_array"/>
		<Param name="bes_loudness_Flt_Bank_Order" type="uint_array"/>
		<Param name="bes_loudness_Cross_Freq" type="uint_array"/>
		
		<Param name="DRC_Th" type="int_array"/>
		<Param name="DRC_Gn" type="int_array"/>
		<Param name="SB_Gn" type="int_array"/>
		
		<Param name="SB_Mode" type="uint_array"/>
		<Param name="DRC_Delay" type="uint_array"/>
		<Param name="Att_Time" type="uint_array"/>
		<Param name="Rel_Time" type="uint_array"/>
		
		<Param name="Hyst_Th" type="int_array"/>
		
		<Param name="Lim_Th" type="int_array"/>
		<Param name="Lim_Gn" type="int_array"/>
		<Param name="Lim_Const" type="uint_array"/>
		<Param name="Lim_Delay" type="uint_array"/>
		<Param name="SWIPRev" type="int_array"/>
	</ParamUnit>
</ParamUnitDesc>
